Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ADE
Numbers: VTB-1522

Department: EF Affected Products: ADTF Device Toolbox 3.1.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: DeviceTB::SOME/IP

Resolution: Solved Issue FAQ Links:

Description

Supportanfrage:

Hallo an die Digitalwerk-Kollegen*innen,

ich bin im Audi CIP auf dein Ticket der ADTF Dev TB gestoB3en (https://www.cip.audi.de/jira/browse/ADEVTB-1522). Dazu wirde ich
gerne noch die Anforderung einkippen, dass die DevTB beim Support fir SomelP auch SomelP/TP unterstutzt. SomelP/TP (Traffic
Protocol) tbernimmt die Segmentierung von Datenpaketen, wenn sie gré3er sind als z.B. 1452 Byte bei UDP.

Da mehrere verschiedene Sensoren voraussichtlich SomelP/TP nutzen, wird es wichtig sein, dass wir die Sensordaten auch so vom
Bus einlesen kénnen.

Uber eine kurze Riickmeldung, wie es mit dem Thema weiter geht, wiirde ich mich freuen.
Lésung:
Das Bereitstellen der zusammengesetzten TP-Nachrichten im Rahmen der Tracing-Funktionalitét sehe ich Ende Q2/19.

Die Nutzdaten stehen damit als BLOB zur Verfligung.
Das Dekodieren anhand ARXML kommt etwas spéter - Ende Q3/19.

History

#1 - 2019-03-07 09:29 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::SOME/IP

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1522

- Customer set to AUDI

- Department set to EF

#2 - 2019-03-11 09:34 - hidden

Hallo Herr Dingeldey,

Danke fir den Hinweis.

Die erste Ausbaustufe der SOME/IP-Unterstiitzung in ADTF 3 wird die Tracing-Funktionalitat inkl. Trace-View sein (siehe Ticket #6297).

Die einzelnen SOME/IP-TP-Fragmente werden dort bereits angezeigt.

Das Zusammenfihren der Fragmente werden wir voraussichtlich 16sen, indem zusammengesetzte Nachrichten zuséatzlich zu den jeweiligen
Fragmenten ins Trace-View eingefligt werden.

Untersttzung zur aktiven Teilnahme an der SOME/IP-Kommunikation (Senden/Empfangen) sowie Dekodieren der Nutzdaten werden im laufe des

Jahres folgen -
auch hier beriicksichtigen wir von Anfang an SOME/IP-TP.

#3 - 2019-03-11 09:35 - hidden
https://www.cip.audi.de/jira/browse/ADEVTB-1522
https://support.digitalwerk.net/issues/6297

- Status changed from In Progress to Customer Feedback Required

#5 - 2019-03-20 09:46 - hidden

Hallo Nicolas Dingeldey,

wir haben noch kein Feedback hierzu bekommen.
Ist das Thema damit erledigt und kann geschlossen werden?

Bitte Feedback geben bis 22.03.2019

Gruf3,
Michael

#6 - 2019-03-25 09:39 - hidden

Wolfgang Wallner wrote:
Hallo Herr Dingeldey,
Danke fur den Hinweis.

Die erste Ausbaustufe der SOME/IP-Unterstiitzung in ADTF 3 wird die Tracing-Funktionalitat inkl. Trace-View sein (siehe Ticket #6297).
Die einzelnen SOME/IP-TP-Fragmente werden dort bereits angezeigt.

Das Zusammenfihren der Fragmente werden wir voraussichtlich 16sen, indem zusammengesetzte Nachrichten zusatzlich zu den jeweiligen
Fragmenten ins Trace-View eingefugt werden.

Unterstltzung zur aktiven Teilnahme an der SOME/IP-Kommunikation (Senden/Empfangen) sowie Dekodieren der Nutzdaten werden im laufe
des Jahres folgen -
auch hier bertcksichtigen wir von Anfang an SOME/IP-TP.

Ist das Feature zum Deserialisieren von TP-Messages schon etwas genauer Terminiert (auf Monat oder Quartal)?

#7 - 2019-03-25 12:35 - hidden

- Status changed from Customer Feedback Required to In Progress

#8 - 2019-03-27 09:37 - hidden

Das Bereitstellen der zusammengesetzten TP-Nachrichten im Rahmen der Tracing-Funktionalitat sehe ich Ende Q2/19.
Die Nutzdaten stehen damit als BLOB zur Verfigung.
Das Dekodieren anhand ARXML kommt etwas spéter - Ende Q3/19.

#9 - 2019-03-27 09:37 - hidden

- Status changed from In Progress to Customer Feedback Required

#10 - 2019-03-27 09:40 - hidden

Wolfgang Wallner wrote:

Das Bereitstellen der zusammengesetzten TP-Nachrichten im Rahmen der Tracing-Funktionalitat sehe ich Ende Q2/19.
Die Nutzdaten stehen damit als BLOB zur Verflgung.
Das Dekodieren anhand ARXML kommt etwas spéter - Ende Q3/19.

Alles klar. Danke fir die Info. Das Ticket kann aus meiner Sicht geschlossen werden, da die Anforderung schon in genannten anderen Tickets
enthalten ist.

#11 - 2019-03-27 10:24 - hidden

- Status changed from Customer Feedback Required to To Be Closed
- Resolution set to Solved Issue

- Affected Products ADTF Device Toolbox 3.1.0 added

- Platform Windows 7 64bit added

#12 - 2019-03-28 09:10 - hidden

- Description updated
#13 - 2019-08-08 19:14 - hidden
- Project changed from 11 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No
